# ------------------------------------------------------------------------
# 
# PBS
#
# This is the configuration file for PWTK's PBS utility. It contains
# the definition of the default profile.
#
# PBS profiles are defined as:
#
#    pbs_profile name1 {
#       #!/bin/sh
#       #PBS -option attribute=value
#       #PBS -option attribute=value
#    } {
#       # here PWTK specifics can be specified
#    }
#
#
# ------------------------------------------------------------------------


pbs_profile default {
    #!/bin/sh
    #PBS -l ppn=8
    #PBS -l walltime=6:00:00
} {
    prefix mpirun -np 8
}

## one more example
#pbs_profile longpar {
#    #!/bin/sh
#    #PBS -q longpar
#    #PBS -l ppn=64
#    #PBS -l walltime=24:00:00
#} {
#    prefix mpirun -np 64
#}

## modules can be loaded with 'pbs_head'
#pbs_head {
#   module load qe-7.3
#}
