# ------------------------------------------------------------------------
# 
# File: pwtk.tcl -- PWTK main configuration file (simplified version)
#
# This is the main configuration file for PWTK. It contains some custom
# definitions, such as the PWscf executables and alike.
#
# This is an example of the pwtk.tcl file.
# ------------------------------------------------------------------------

#
# HOW TO RUN QUANTUM ESPRESSO EXECUTABLES ...
# 
# They are run as: prefix bin_dir/program postfix

# for prefix, get the number of available processors
set np [exec nproc]
while { [catch {exec mpirun -n $np echo yes}] && $np > 1 } {
    set np [expr { $np > 2 ? $np / 2 : 1 }]
}
if { $np > 1 } {
    prefix mpirun -n $np
}

#postfix ""
#bin_dir $env(HOME)/bin/qe-7.3.1


# if you wish to define some individual executables explicitly,
# uncomment appropriate lines below, and set the full-path name
# accordingly.

# pw       /full/path/to/pw.x
# pp       /full/path/to/pp.x
# ph       /full/path/to/ph.x
# projwfc  /full/path/to/projwfc.x



#
# DEFAULT DIRECTORIES ...
#

# default pseudo_dir
#pseudo_dir    $env(HOME)/espresso/pseudo

# directories where the scatch files will be written
# (e.g. outdir == outdir_prefix/outdir_postfix)

#outdir_prefix /scratch/$env(USER)/QE
#outdir        /scratch/$env(USER)/QE/[pid]
outdir_prefix [file join [::fileutil::tempdir] $env(USER) QE]
outdir        [file join [::fileutil::tempdir] $env(USER) QE [pid]]

#wfcdir_prefix /scratch/$env(USER)/QE
#wfcdir        /scratch/$env(USER)/QE/[pid]
