# ------------------------------------------------------------------------
# 
# File: pwtk.tcl -- PWTK main configuration file
#
# This is the main configuration file for PWTK. It contains some custom
# definitions, such as Quantum ESPRESSO executables and alike.
#
# By default everything is commented.
# ------------------------------------------------------------------------


##
## HOW TO RUN QUANTUM ESPRESSO EXECUTABLES ...
## 
## They are run as: prefix bin_dir/program postfix


## prefix: manual setup
#prefix mpirun -n 4

## prefix: auto-detection of the number of available processors
#try {
#    set np [exec nproc]
#    while { [catch {exec mpirun -n $np echo yes}] && $np > 1 } {
#        set np [expr { $np > 2 ? $np / 2 : 1 }]
#    }
#    if { $np > 1 } {
#        prefix mpirun -n $np
#    }
#}


#postfix ""
#bin_dir $env(HOME)/bin/qe-7.2

## for containers use something alone the lines:

#prefix "singularity exec /path/to/container.simg mpirun -np N"
#serial_prefix "singularity exec /path/to/container.simg"
#bin_query false


## if you wish to define some individual executables explicitly,
## uncomment appropriate lines below, and set the full-path accordingly.

#prog pw.x  /full/path/to/pw.x
#prog neb.x /full/path/to/neb.x
#prog ph.x  /full/path/to/ph.x

##
## DEFAULT DIRECTORIES ...
##

## directories where the scatch files will be written
## (e.g. outdir == outdir_prefix/outdir_postfix)

#outdir_prefix /scratch/$env(USER)/QE
#wfcdir_prefix /scratch/$env(USER)/QE

#outdir        /scratch/$env(USER)/QE/[pid]
#wfcdir        /scratch/$env(USER)/QE/[pid]

## default pseudo_dir
#pseudo_dir    $env(HOME)/espresso/pseudo

## disable auto-downloading of pseudopotentials from the internet
#pseudo_auto_download off



## some XCRYSDEN and XSF relates stuff
## (needed if pwi2xsf and pwo2xsf are not on $PATH)

#set PWI2XSF /path/to/pwi2xsf.sh
#set PWO2XSF /path/to/pwo2xsf.sh


## bader program
## (needed if bader is not on $PATH)

#set BADER /path/to/bader
