# PURPOSE
#   This is a config file for running tests and examples.
#   It sets:
#     (1) remote variable to plain values to enable connection to localhost
#     (2) ::pwtk::gp::pause to $PWTK_PAUSE enviromental variable or to
#         5 seconds if PWTK_PAUSE is not defined; this way plotting
#         windows close after some time

array set ::pwtk::remote {
    rsync  {rsync -avu}
    rsh    ssh
    rcp    rcp
    time_interval 15s
}

::pwtk::ifexist env(PWTK_PAUSE) {
    propagate [list ::pwtk::gp::pause $env(PWTK_PAUSE)]
} else {
    propagate [list ::pwtk::gp::pause 5]        
}
